<!-- ITSIG exchange DocumentProfile Module -->
<!-- file: stdex-docprof.mod -->
<!-- ITSIG exchange DocumentProfile Module

     (c) International Organization for Standardization 1991 Permission
         to copy in any form is granted for use with comforming WebSGML 
         systems and appilications as defined in ISO 8879:1986(WWW),
         provided this notice is included in all copies.
-->

<!--                    document profile                           -->
<!ELEMENT  docprof      (titles, edition, version?, language,
                         refnums, sourceod?, notes?, endorsmt?,
                         developc, replaces*, replaced*, abstract?,
                         classifn*, keyword*, relstd*, prodinfo?,
                         otherprm*, othertxt*)                       >
<!ATTLIST  docprof
             apply      CDATA                              #REQUIRED >
<!--                    titles (in different languages) of the
                        standard                                   -->

<!ELEMENT  titles       (titleent+)                                  >
<!ATTLIST  titleent
             langcode   CDATA                              #REQUIRED >
<!ELEMENT  titleent     (mtitle, ptitle?)                            >
<!--                    title of the standard                      -->
<!ELEMENT  mtitle       (tline+)                                     >
<!--                    title line                                 -->
<!ELEMENT  tline        (%m.ph;)*                                    >
<!--         type       used for e.g. introductory title, main title,
                        subsidiary title                           -->
<!ATTLIST  tline
             type       CDATA                              #IMPLIED  >
<!--                    title of the part                          -->
<!ELEMENT  ptitle       (ptline+)                                    >
<!--                    title line                                 -->
<!ELEMENT  ptline       (%m.ph;)*                                    >
<!ATTLIST  ptline
             type       CDATA                              #IMPLIED  >

<!ELEMENT  edition      (#PCDATA)                                    >
<!ELEMENT  version      (#PCDATA)                                    >
<!ELEMENT  language     (#PCDATA)                                    >

<!--                    reference numbers                          -->
<!ELEMENT  refnums      (wdnumber?, number, part?, type?)            >
<!--                    document number for working draft          -->
<!ELEMENT  wdnumber     (com, sernum)                                >
<!ELEMENT  com          (#PCDATA)                                    >
<!ELEMENT  sernum       (#PCDATA)                                    >
<!--                    number of the document                     -->
<!ELEMENT  number       (#PCDATA)                                    >
<!--                    number of the part                         -->
<!ELEMENT  part         (#PCDATA)                                    >
<!--                    type of document (types of Technical
                        Report for ISO)                            -->
<!ELEMENT  type         (#PCDATA)                                    >

<!--                    source of document (ISO|ISOIEC)            -->
<!ELEMENT  sourceod     (#PCDATA)                                    >
<!--                    notes for document                         -->
<!ELEMENT  notes        (#PCDATA)                                    >

<!ELEMENT  endorsmt     (endorsent+)                                 >
<!ELEMENT  endorsent    (endorsdn, endorsnt?)                        >
<!--                    document number of endorsed standard       -->
<!ELEMENT  endorsdn     (#PCDATA)                                    >
<!--                    endorsement note                           -->
<!ELEMENT  endorsnt     (%m.pseq;)                                   >

<!--                    stages in the development cycle            -->
<!ELEMENT  developc     (developent)+                                >
<!ELEMENT  developent   (status, scdate, votestrt?, voteend?,
                         report?)                                    >
<!--                    status of document                         -->
<!ELEMENT  status       (#PCDATA)                                    >
<!--                    date for the status change                 -->
<!ELEMENT  scdate       (#PCDATA)                                    >
<!--                    date for the start of vote                 -->
<!ELEMENT  votestrt     (#PCDATA)                                    >
<!--                    date for the end of vote                   -->
<!ELEMENT  voteend      (#PCDATA)                                    >
<!--                    report                                     -->
<!ELEMENT  report       (%m.pseq;)                                   >

<!--                    reference to replacement document and
                        comment                                    -->
<!ELEMENT  replaces     (extref, replcom)                            >
<!ELEMENT  replaced     (extref, replcom)                            >
<!ELEMENT  replcom      (%m.pseq;)                                   >

<!--                    abstract                                   -->
<!ELEMENT  abstract     (%m.pseq;)*                                  >

<!--                    classification of standard                 -->
<!ELEMENT  classifn     (#PCDATA)                                    >
<!ATTLIST  classifn
             type       CDATA                              "UDC"     >
<!--                    keyword                                    -->
<!ELEMENT  keyword      (#PCDATA)                                    >
<!--                    related standard                           -->
<!ELEMENT  relstd       (#PCDATA)                                    >

<!--                    production specific information            -->
<!ELEMENT  prodinfo     (prodent*)                                   >
<!ELEMENT  prodent     (prodparm, prodval)                           >
<!--                    name of production parameter               -->
<!ELEMENT  prodparm     (#PCDATA)                                    >
<!--                    value of production parameter              -->
<!ELEMENT  prodval      (#PCDATA)                                    >

<!--                    other parameter information                -->
<!ELEMENT  otherprm     (#PCDATA)                                    >
<!ATTLIST  otherprm
             type       CDATA                              #REQUIRED >
<!--                    other textual information                  -->
<!ELEMENT  othertxt     (%m.pseq;)                                   >
<!ATTLIST  othertxt
             type       CDATA                              #REQUIRED >
